### Method

# Vips Image get_fields

#### Declaration [src]

    gchar**
    vips_image_get_fields (
      VipsImage* image
    )

#### Description [src]

Get a `NULL`-terminated array listing all the metadata field names on `image`. Free the return result with `g_strfreev()`.

This is handy for language bindings. From C, it’s usually more convenient to use `vips_image_map()`.

#### Return value

Type: An array of `utf8`

Metadata fields in image, as a `NULL`-terminated array.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.